Installer - Bug #30802

Azure VM provision fails with error requests.exceptions.HTTPError: 502 Server Error: Proxy Error
for url’

09/08/2020 04:59 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: foreman-installer script
Target version: 2.3.0
Difficulty: Fixed in Releases: 2.3.0
Triaged: Yes Found in Releases:
Bugzilla link: 1875426 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/575

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1875426

Description of problem:

Azure VM provision fails with error “requests.exceptions.HTTPError: 502 Server Error: Proxy Error for url®
Version-Release number of selected component (if applicable):
6.8.0 Snap 11

How reproducible:

Always

Steps to Reproduce:

1. Try to provision a VM using Azure CR using CLI/API/UI

3

Actual results:

requests.exceptions.HTTPError: 502 Server Error: Proxy Error for url’
Expected results:

VM should provision

Additional info:

a. After setting the 'ProxyTimeout 600" all scenarios works well

b. More could refer from here : https://bugzilla.redhat.com/show_bug.cgi?id=1850934

Associated revisions

Revision ff058556 - 09/09/2020 01:17 PM - Eric Helms

Fixes #30802: Set proxy timeout to 15 minutes
This sets the Foreman HTTPs reverse proxy timeout to 15 minutes to
give a cushion for some requests (such as provisioning) that can

keep an open request for 10+ minutes. This sets a sane default and
users can then tune it to their own infrastructure needs.

History
https://bugzilla.redhat.com/show_bug.cgi?id=1875426
https://bugzilla.redhat.com/show_bug.cgi?id=1850934

#1 - 09/08/2020 05:49 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/575 added

#2 - 09/09/2020 01:18 PM - The Foreman Bot
- Fixed in Releases 2.3.0 added

#3 - 09/09/2020 02:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset installer|ff058556cf66ec82623aafa2cd319fc3c0a1563d.

#4 - 11/30/2020 05:56 PM - Ewoud Kohl van Wijngaarden
- Category set to foreman-installer script
- Target version set to 2.3.0

- Triaged changed from No to Yes

05/20/2024

22


https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/ff058556cf66ec82623aafa2cd319fc3c0a1563d
http://www.tcpdf.org

